/* ---------------------------------------------------
   Block Styles
--------------------------------------------------- */
/* Rounded button style */
.wp-block-button.is-style-round .wp-block-button__link {
	width: var(--make-button-round-size);
	height: var(--make-button-round-size);
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	
	hyphens: auto;
	overflow-wrap: break-word;
    word-break: break-word;
}

/* Editorial title */
.is-style-make-title {
	position: relative;
}

.is-style-make-title h2 {
	max-width: var(--size-text-max);
	margin-left: 0 !important;
}

.is-style-make-title .is-style-make-accent {
	position: absolute;
	top: 0;
	transform: translateY(-19%);
	z-index: -2;
}

.is-style-make-accent {
	font-family: var(--font-accent);
	font-size: 2.6rem;
	text-transform: uppercase;
	letter-spacing: 0.01em;
	font-weight: 700;
	line-height: 1;
	color: var(--color-muted);
	padding-left: 0.5rem;
	opacity: 0.6;
	margin-bottom: 0;
}

.is-style-make-allcaps {
	font-family: var(--font-allcaps);
	text-transform: uppercase;
	letter-spacing: var(--letter-spacing-allcaps);
}

.is-style-make-emphasis {
	font-size: var(--text-h3);
}

.is-style-make-script {
	font-size: var(--font-size-script);
	font-weight: 600;
	line-height: 1.1;
	letter-spacing: 0;
	color: var(--theme-palette-color-2);
	transform: rotate(356deg);
}

.is-style-make-script {
	font-family: var(--font-script-fallback);
}

.cmplz-marketing .is-style-make-script {
	font-family: var(--font-script-consented);
}

/* Editorial text */
.is-style-make-text,
.is-style-make-section--small * {
	max-width: var(--size-text-max);
}

/* Tablet */
@media (min-width: 690px) {
	.is-style-make-title .is-style-make-accent {
		transform: translateY(-35%);
	}
}

/* Desktop */
@media (min-width: 1000px) {
	.is-style-make-accent {
		font-size: clamp(2.8rem, 5vw, 6rem);
		padding-left: 2.6rem;
		margin-bottom: 0;
	}
}
